grid.cap {grid} | R Documentation

## Capture a raster image

### Description

Capture the current contents of a graphics device as a raster (bitmap) image.

### Usage

    grid.cap()

### Details

This function is only implemented for on-screen graphics devices.

### Value

A matrix of R colour names, or `NULL` if not available.

### Author(s)

Paul Murrell

### See Also

`grid.raster`

`dev.capabilities` to see if it is supported.

### Examples

    dev.new(width=0.5, height=0.5)
    grid.rect()
    grid.text("hi")
    cap <- grid.cap()
    dev.off()

    if(!is.null(cap))
        grid.raster(cap, width=0.5, height=0.5, interpolate=FALSE)

[Package grid version 3.4.2 Index]